Interface Technology Basics VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups
Variables
Platform UI Types
Graphical User Interface

List of Platform UI types for IPlugView. More...

Collaboration diagram for Platform UI Types:

## Variables
const FIDString | kPlatformTypeHWND = "HWND"
| The parent parameter in IPlugView::attached() is a HWND handle.
const FIDString | kPlatformTypeHIView = "HIView"
| The parent parameter in IPlugView::attached() is a WindowRef.
const FIDString | kPlatformTypeNSView = "NSView"
| The parent parameter in IPlugView::attached() is a NSView pointer.
const FIDString | kPlatformTypeUIView = "UIView"
| The parent parameter in IPlugView::attached() is a UIView pointer.
const FIDString | kPlatformTypeX11EmbedWindowID = "X11EmbedWindowID"
| The parent parameter in IPlugView::attached() is a X11 Window supporting XEmbed.

## Detailed Description

List of Platform UI types for IPlugView.

This list is used to match the GUI-System between the host and a plug-in in case that an OS provides multiple GUI-APIs.

## Variable Documentation

const FIDString kPlatformTypeHWND = "HWND"

The parent parameter in IPlugView::attached() is a HWND handle.

You should attach a child window to it. HWND handle. (Microsoft Windows)

const FIDString kPlatformTypeHIView = "HIView"

The parent parameter in IPlugView::attached() is a WindowRef.

You should attach a HIViewRef to the content view of the window. HIViewRef. (Mac OS X)

const FIDString kPlatformTypeNSView = "NSView"

The parent parameter in IPlugView::attached() is a NSView pointer.

You should attach a NSView to it. NSView pointer. (Mac OS X)

const FIDString kPlatformTypeUIView = "UIView"

The parent parameter in IPlugView::attached() is a UIView pointer.

You should attach an UIView to it. UIView pointer. (iOS)

const FIDString kPlatformTypeX11EmbedWindowID = "X11EmbedWindowID"

The parent parameter in IPlugView::attached() is a X11 Window supporting XEmbed.

You should attach a Window to it that supports the XEmbed extension. See https://standards.freedesktop.org/xembed-spec/xembed-spec-latest.html X11 Window ID. (X11)

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.